import { default as React } from 'react';
import { WebComponentProps } from '@lit/react';
import { WyContext as WyContextWC } from '@weavy/uikit-web';
declare const WyContextComponent: import('@lit/react').ReactWebComponent<WyContextWC, {}>;
export declare function WyContext({ children, ...props }: React.ComponentProps<typeof WyContextComponent>): import("react/jsx-runtime").JSX.Element;
declare module "react" {
    namespace JSX {
        interface IntrinsicElements {
            "wy-context": WebComponentProps<WyContextWC>;
        }
    }
}
export {};
